CHANGES IN VERSION 3.5.2
------------------------
 o bug fixed of gseaScores <2018-04-18, Wed>
   + https://github.com/GuangchuangYu/DOSE/issues/23
 o mv web site to https://guangchuangyu.github.io/software/DOSE

CHANGES IN VERSION 3.3.2
------------------------
 o new project site using blogdown <2017-09-28, Thu>
 o ridgeplot for gseaResult <2017-08-17, Thu>

CHANGES IN VERSION 3.3.1
------------------------
 o throw warning instead of error when fail to `setReadable`. <2017-06-28, Wed>
   + https://github.com/GuangchuangYu/clusterProfiler/issues/91
 o better msg when using wrong ID types in GSEA <2017-06-01, Thu>
   + https://support.bioconductor.org/p/96512/#96516

CHANGES IN VERSION 3.2.0
------------------------
 o BioC 3.5 release <2017-04-26, Wed>

CHANGES IN VERSION 3.1.3
------------------------
 o output expected sample gene ID when input gene ID type not match <2017-03-27, Mon>
 o dotplot for gseaResult <2016-11-23, Fri>
   + https://github.com/GuangchuangYu/DOSE/issues/20

CHANGES IN VERSION 3.1.2
------------------------
 o in gseaplot, call grid.newpage only if dev.interactive() <2016-11-16, Wed>
 o change minGSSize <  geneSet_size & geneSet_size <  maxGSSize to
   	  minGSSize <= geneSet_size & geneSet_size <= maxGSSize <2016-11-16, Wed>
 o fixed show method issus of unknown setType in clusterProfiler::GSEA output <2016-11-15, Tue>
 o throw more friendly error msg if fail to determine setType automatically in setReadable function <2016-11-15, Tue>
   + https://support.bioconductor.org/p/89445/#89479
 o apply minGSSize and maxGSSize to fgsea <2016-11-14, Mon>
 o change summary to as.data.frame in internal calls to prevent warning message <2016-11-14, Mon>

CHANGES IN VERSION 3.1.1
------------------------
 o update startup message <2016-11-09, Wed>
 o fixed parallel in Windows (not supported) <2016-10-24, Mon>
   + https://github.com/GuangchuangYu/DOSE/issues/16
 o options(DOSE_workers = x) to set using x cores for GSEA analysis is removed. <2016-10-24, Mon>
   instead let MulticoreParam() to decide how many cores (can be set by `options(mc.cores = x)`).

CHANGES IN VERSION 3.0.0
------------------------
 o BioC 3.4 released <2016-10-18, Tue>

CHANGES IN VERSION 2.11.12
------------------------
 o deprecate summary method and use as.data.frame instead <2016-09-29, Thu>

CHANGES IN VERSION 2.11.11
------------------------
 o export geneID and geneInCategory <2016-09-19, Mon>

CHANGES IN VERSION 2.11.10
------------------------
 o geneID and geneInCategory accessor functions <2016-09-19, Mon>

CHANGES IN VERSION 2.11.9
------------------------
 o enrichMap works with result contains only one term <2016-08-15, Wed>
   + https://github.com/GuangchuangYu/DOSE/issues/15
 o build_Anno now works with tibble <2016-08-18, Tue>

CHANGES IN VERSION 2.11.8
------------------------
 o add unit test <2016-08-15, Mon>

CHANGES IN VERSION 2.11.7
------------------------
 o change for meshes packages <2016-08-11, Thu>

CHANGES IN VERSION 2.11.6
------------------------
 o user can use options(DOSE_workers = x) to set using x cores for GSEA analysis <2016-08-02, Tue>
 o support DisGeNET enrichment analyses <2016-08-01, Mon>
   + enrichDGN, enrichDGNv, gseDGN
 o update vignettes <2016-07-29, Fri>

CHANGES IN VERSION 2.11.5
------------------------
 o enrichMap now output igraph object that can be viewed using other software like networkD3 <2016-07-25, Mon>
 o dim methods for enrichResult and gseaResult <2016-07-22, Fri>
 o $ methods for enrichResult and gseaResult <2016-07-20, Wed>
 o switch from parallel to BiocParallel <2017-07-07, Thu>
 o [, head and tail methods for enrichResult and gseaResult <2016-07-06, Wed>
 o change according to GOSemSim <2016-07-05, Tue>

CHANGES IN VERSION 2.11.4
------------------------
 o 'title' parameter for gseaplot <2016-07-04, Mon>
   + contributed by https://github.com/pedrostrusso
   + https://github.com/GuangchuangYu/DOSE/pull/13
 o 'by' parameter in GSEA_internal, by default by = 'fgsea' <2016-07-04, Mon>
   + by = 'fgsea', use GSEA algorithm implemented in fgsea
   + by = 'DOSE', use GSEA algorithm implemented in DOSE
 o leading edge analysis for GSEA <2016-07-04, Mon>

CHANGES IN VERSION 2.11.3
------------------------
 o output igraph object in cnetplot <2016-06-21, Tue>
 o upsetplot generics <2016-06-14, Tue>
 o [[ methods for enrichResult and gseaResult for accessing gene set <2016-06-14, Tue>

CHANGES IN VERSION 2.11.2
------------------------
 o use byte compiler <2016-05-18, Wed>
 o https://github.com/Bioconductor-mirror/DOSE/commit/6c508c6a6816f465bb372f30f4ab99c839d81767

CHANGES IN VERSION 2.11.1
------------------------
 o https://github.com/Bioconductor-mirror/DOSE/commit/7e87d01e671ce1b5fbe974c06b796b1a2970f11c

CHANGES IN VERSION 2.10.0
------------------------
 o BioC 3.3 released <2016-05-05, Thu>

CHANGES IN VERSION 2.9.7
------------------------
 o barplot accepts x and colorBy parameters as in dotplot <2016-04-13, Wed>
 o gsfilter function for restricting result with minimal and maximal gene set size <2016-03-31, Thu>
   + see https://github.com/GuangchuangYu/clusterProfiler/issues/46

CHANGES IN VERSION 2.9.6
------------------------
 o add maxGSSize parameter for hypergeometric test <2016-03-09, Wed>
 o add maxGSSize parameter in GSEA analysis. <2016-03-09, Wed>
   + Default of 500 is fairly standard for GSEA analysis.
   + Usually if the geneset > 500, its probability of being called significant by GSEA rises quite dramatically.
 o fixed R check <2016-03-05, Sat>
 o update ReactomePA citation info <2016-02-17, Wed>

CHANGES IN VERSION 2.9.5
------------------------
 o upset plot for enrichResult object <2016-01-22, Fri>

CHANGES IN VERSION 2.9.4
------------------------
 o bug fixed in scaling category sizes in enrichMap <2016-01-10, Sun>
   + use setSize in gseResult

CHANGES IN VERSION 2.9.3
------------------------
 o update enrichMap to scale category sizes <2016-01-04, Mon>
 o update 'show' methods of enrichResult and gseaResult <2015-12-29, Tue>

CHANGES IN VERSION 2.9.2
------------------------
 o re-design internal function <2015-12-20, Sun>

CHANGES IN VERSION 2.9.1
------------------------
 o GSEA: test bimodal separately <2015-10-28, Wed>
 o add NES column in GSEA result <2015-10-28, Wed>
 o use NES instead of ES in calculating p-values. <2015-10-28, Wed>
 o duplicated gene IDs in enrich.internal is not allow. add `unique` to remove duplicated ID. <2015-10-20, Tue>
   + see https://github.com/GuangchuangYu/clusterProfiler/issues/27

CHANGES IN VERSION 2.9.0
------------------------
 o BioC 3.3 branch

CHANGES IN VERSION 2.7.12
------------------------
 o output a list of data frames by enrichMap via invisible, so that the graph info can be viewed by other tools, eg. Cytoscape. <2015-09-30, Wed>

CHANGES IN VERSION 2.7.11
------------------------
 o check whether input geneList is sorted <2015-09-22, Tue>
 o order first followed by showCategory subsetting in barplot <2015-09-08, Tue>
   + https://support.bioconductor.org/p/71917/#71939
 o bug fixed in EXTID2NAME, keytype is TAIR for arabidopsis and ORF for malaria <2015-08-26, Wed>

CHANGES IN VERSION 2.7.10
------------------------
 o add Giovanni Dall'Olio as contributor in author list. <2015-07-21, Tue>
 o update NCG data to version cancergenes_4.9.0_20150720 contributed by Giovanni Dall'Olio.
   https://github.com/GuangchuangYu/DOSE/pull/8 <2015-07-21, Tue>
 o geneInCategory may simplify to vector by R in very rare case,
   which violate the assumption of list in S4 validation checking.
   This issue was fixed. <2015-07-19, Sun>

CHANGES IN VERSION 2.7.9
------------------------
 o add citation of ChIPseeker <2015-07-09, Thu>
 o add 'Disease analysis of NGS data' section in vignette <2015-06-29, Mon>
 o convert vignette from Rnw to Rmd <2015-06-24, Wed>

CHANGES IN VERSION 2.7.8
------------------------
 o dotplot for enrichResult <2015-06-21, Sun>

CHANGES IN VERSION 2.7.7
------------------------
 o speed up by using sample.int instead of sample <2015-06-04, Thu>
 o add seed = FALSE to control reproduciblility of gsea function.
   to make result reproducible, explicitly set seed=TRUE <2015-06-04, Thu>
    - contributed by Vlad, see https://github.com/GuangchuangYu/DOSE/pull/5/
    - modified by Guangchuang

CHANGES IN VERSION 2.7.6
------------------------
 o bug fixed in cnetplot legend contributed by Vladislav Petyuk <2015-05-28, Thu>

CHANGES IN VERSION 2.7.5
------------------------
 o update vignette <2015-05-15, Fri>

CHANGES IN VERSION 2.7.4
------------------------
 o update permutation test with pvalue = (K+1)/(N+1) instead of K/N,
   so that p value will never be 0 <2015-05-12, Tue>

CHANGES IN VERSION 2.7.3
------------------------
 o add setType slot in gseaResult <2015-05-15, Tue>
 o add universe and geneSets slots in enrichResult <2015-05-05, Tue>

CHANGES IN VERSION 2.7.2
------------------------
 o add vertex.label.font parameter in enrichMap <2015-04-27, Mon>

CHANGES IN VERSION 2.7.1
------------------------
 o update NCG description in enrichNCG <2015-04-22, Wed>

CHANGES IN VERSION 2.5.12
------------------------
 o report NA in qvalue column when it fail to calculate instead of throw error <2015-03-09, Thu>
 o update IC data <2015-03-08, Wed>

CHANGES IN VERSION 2.5.11
------------------------
 o implement clusterSim and mclusterSim <2015-03-07, Tue>

CHANGES IN VERSION 2.5.10
------------------------
 o implement enrichNCG and now gseAnalyzer accept setType = "NCG" <2015-04-01, Wed>
   see http://ncg.kcl.ac.uk
 o change use_internal_data parameter to ... in all S3 generics and methods <2015-04-01, Wed>

CHANGES IN VERSION 2.5.9
------------------------
 o extend gseAnalyzer to support use_internal_data parameter <2015-03-29, Sun>

CHANGES IN VERSION 2.5.8
------------------------
 o keep order of barplot, sorted by pvalue by defalt <2015-02-11, Wed>

CHANGES IN VERSION 2.5.7
------------------------
 o fixed typo in vignette <2015-02-10, Tue>

CHANGES IN VERSION 2.5.6
------------------------
 o add organismMapper to satisfy the change of enrichKEGG <2015-01-28, Wed>

CHANGES IN VERSION 2.5.5
------------------------
 o introduce use_internal_data parameter for enrichKEGG of clusterProfiler <2015-01-27, Tue>

CHANGES IN VERSION 2.5.3
------------------------
 o update vignette <2015-01-27, Tue>

CHANGES IN VERSION 2.5.1
------------------------
 o add CITATION <2015-01-19, Mon>

CHANGES IN VERSION 2.3.6
------------------------
 o add readable parameter in simplot <2014-10-09, Thu>

CHANGES IN VERSION 2.3.5
------------------------
 o implement enrichMap <2014-07-28, Wed>

CHANGES IN VERSION 2.3.4
------------------------
 o return ggplot2 objects in gseaplot <2014-07-21, Mon>

CHANGES IN VERSION 2.3.3
------------------------
 o geneSim can only accept one gene ID vector and perform as mgeneSim in GOSemSim <2014-06-23, Mon>
 o update man files <2014-06-23, Mon>

CHANGES IN VERSION 2.3.2
------------------------
 o bug fixed in scaleNodeColor <2014-06-08, Sun>

CHANGES IN VERSION 2.3.1
------------------------
 o upgrade man file according to roxygen2 (ver 4.0.0) . <2014-05-16, Fri>

CHANGES IN VERSION 1.99.6
------------------------
 o bug fixed in EXTID2NAME. <2013-09-28, Sat>

CHANGES IN VERSION 1.99.5
------------------------
 o fixed in calculating M when only one categroy presented, the object was matrix insted of list. <2013-09-16, Mon>

CHANGES IN VERSION 1.99.4
------------------------
 o export gsea function <2013-07-10, Wed>

CHANGES IN VERSION 1.99.3
------------------------
 o extend EXTID2NAME to support 20 species <2013-07-09, Tue>
 o update vignette. <2013-07-09, Tue>

CHANGES IN VERSION 1.99.1
------------------------
 o convert vignette file to knitr Sweave. <2013-06-24, Mon>

CHANGES IN VERSION 1.99.0
------------------------
 o extent ggplot to support enrichResult by implementing fortify method. <2013-05-22, Wed>
 o re-implement barplot.enrichResult. <2013-05-23, Thu>
 o enrich.internal support user specifiy background by parameter universe. <2013-05-24, Fri>
 o implement Gene Set Enrichment Analysis algorithm. <2013-05-29, Wed>
 o change setReadable to support groupGO of clusterProfiler. <2013-05-29, Wed>
 o fixed mclapply not support Windows platform issue. <2013-05-30, Fri>
 o rename logFC parameter to foldChange. <2013-06-13, Thu>

CHANGES IN VERSION 1.7.1
------------------------
 o use geom_bar(stat="identity") instead of geom_bar() in barplot for explicitly mapping y value. <2013-05-08, Wed>
 o bug fixed when qvalue can't calculated. <2013-05-02, Thu>
 o bug fixed of enrich.internal, drop those genes that without annotation when calculating sample gene number. <2013-05-02, Thu>
 o change some code to satisfy ReactomePA <2013-03-27, Wed>

CHANGES IN VERSION 1.5.1
------------------------
 o bug fixed in enrich.internal, now return NA rather than throw error, if gene have no ontology annotation <2013-01-22, Fri>

CHANGES IN VERSION 1.3.2
------------------------
 o update codes of plot functions accompaning with ggplot2 (version 0.9.2) <2012-09-06, Thu>
 o update cnetplot corresponding to igraph version 0.6 <2012-07-11, Wed>
 o parameter showCategory now support term ID vector <2012-07-11, Wed>
 o import termSim and combineScores from GOSemSim. <2012-06,14, Thu>
 o optimize setReadable <2012-05-09, Wed>
 o bug fixed of setReadable method. For those unmapped genes, return the original gene ID. <2012-05-15, Tue>
 o fill color in barplot for Ontology classification. <2012-05-22, Tue>
 o update color scale of cnetplot <2012-06-18, Mon>

CHANGES IN VERSION 1.3.1
------------------------
 o update color scheme of cnetplot <2012-04-10, Tue>
 o add simplot for plotting semantic similarity matrix <2012-04-20, Fri>
 o bug fixed of combineScore function for DO semantic similarity matrix
   which containing NA rows of NA coloumns <2012-04-20, Fri>
 o export doSim and geneSim functions <2012-04-20, Fri>

CHANGES IN VERSION 1.1.12
------------------------
 o implement barplot for enrichResult <2012-03-18, Sun>
 o bug fixed for setReadable method <2012-03-19, Mon>
 o add logFC parameter for cnet plot, support color gene nodes by
   their expression value (log fold change) <2012-03-21, Wed>
 o add mapping entrezgene ID and gene Name for organisms
   other than human, mouse and yeast. <2012-03-22, Thu>
 o bug fixed for attempt to name logFC, when it is NULL. <2012-03-22, Thu>
 o optimized readable method. <2012-03-26, Mon>

CHANGES IN VERSION 1.1.11
------------------------
 o setReadable method for mapping gene ID to gene Symbol in enrichResult instance. <2012-03-12, Mon>
 o export method show. <2012-03-12, Mon>

CHANGES IN VERSION 1.1.10
------------------------
 o import plot summary from stats4, for BiocGenerics (version 0.1.10) removed them <2012-03-03, Sat>
 o Add DO2ALLEG and EG2ALLDO, for mapping undirecte annotation. <2012-03-03, Sat>
 o update vignette <2012-03-06, Tue>

CHANGES IN VERSION 1.1.9
------------------------
 o fixed BibTeX database file .bib.
   month = , must be month = someMonth, or totally deleted,
   leave it blank will cause texi2dvi failed. <2012-03-01, Thu>
 o update IC data and DO-EG mapping data. <2012-03-01, Thu>

CHANGES IN VERSION 1.1.8
------------------------
 o update vignette, add semantic similarity algorithms' details. <2012-02-28, Tue>

CHANGES IN VERSION 1.1.7
------------------------
 o fixed warnings concerning documents of plot generics. <2012-02-27, Mon>
 o import summary generic from BiocGenerics instead of stats4. <2012-02-27, Mon>

CHANGES IN VERSION 1.1.6
------------------------
 o defined S3 generic for ALLEXTID, EXTID2NAME, EXTID2TERMID, TERM2NAME,
   and TERMID2EXTID. <2012-02-26, Sun>
 o update roxygen and regenerate man file. <2012-02-26, Sun>
 o import S4 generics of plot from BiocGenerics.  <2012-02-26, Sun>

CHANGES IN VERSION 1.1.5
------------------------
 o add S4 method of plot, which accept parameter type = "cnet",
   and call cnetplot.enrichResult method. <2012-02-23, Thu>
 o add S3 method cnetplot.enrichResult for plotting enrichResult object.
   <2012-02-23, Thu>
 o define cnetplot function for category-gene network visualization. <2012-02-23, Thu>
 o remove generic definition of show and summary,
   import show from methods and summary from stats4 <2012-02-23, Thu>
 o redefine functions as S3 methods for mapping ID among gene and Term.
   this will make enrich.internal which calling these mapping function more robust
   <2012-02-23, Thu>

CHANGES IN VERSION 1.1.4
------------------------
 o add Enrichment Analysis session in vignette. <2012-02-22, Wed>
 o optimize enrichDO, ten time faster. <2012-02-22, Wed>
 o separate code of enrichDO to enrich.internal, make it more general,
   and can be applied to other ontology. <2012-02-22, Wed>
 o rename enrichDOResult class to enrichResult and add slot geneInCategory. <2012-02-22, Wed>
 o export infoContentMethod and wangMethod. <2012-02-22, Wed>

CHANGES IN VERSION 1.1.3
------------------------
 o update infoContentMethod to make it consistent between DOSE and GOSemSim. <2011-12-31, Sat>

CHANGES IN VERSION 1.1.2
------------------------
 o change to using roxygen for generating Rd docs

CHANGES IN VERSION 1.1.1
------------------------
 o add function rebuildAnnoData
 o update Disease-Gene Mapping data

CHANGES IN VERSION 0.99.7
------------------------
 o fixed bug in .SemVal_internal

CHANGES IN VERSION 0.99.6
------------------------
 o Use qvalue instead of fdrtool to calculate qvalues.

